Package edu.msu.cme.rdp.classifier.train.validation.leaveoneout

# Class LeaveOneOutTesterMain

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.leaveoneout.LeaveOneOutTesterMain

public class LeaveOneOutTesterMain extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`HIDETAXON_SHORT_OPT`
`static final String`
`LENGTH_DESC`
`static final String`
`LENGTH_LONG_OPT`
`static final String`
`LENGTH_SHORT_OPT`
`static final String`
`OUTFILE_DESC`
`static final String`
`OUTFILE_LONG_OPT`
`static final String`
`OUTFILE_SHORT_OPT`
`static final String`
`QUERYFILE_DESC`
`static final String`
`QUERYFILE_LONG_OPT`
`static final String`
`QUERYFILE_SHORT_OPT`
`static final String`
`TRAIN_SEQFILE_DESC`
`static final String`
`TRAIN_SEQFILE_LONG_OPT`
`static final String`
`TRAIN_SEQFILE_SHORT_OPT`
`static final String`
`TRAIN_TAXONFILE_DESC`
`static final String`
`TRAIN_TAXONFILE_LONG_OPT`
`static final String`
`TRAIN_TAXONFILE_SHORT_OPT`

## Constructor Summary

Constructors
Constructor
Description
`LeaveOneOutTesterMain(String taxFile, String trainseqFile, String testFile, String outFile, int numGoodBases, int min_bootstrap_words, boolean hideTaxon)`
Creates a new Classification

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### QUERYFILE_LONG_OPT

public static final String QUERYFILE_LONG_OPT

See Also:
  - Constant Field Values

### OUTFILE_LONG_OPT

public static final String OUTFILE_LONG_OPT

See Also:
  - Constant Field Values

### TRAIN_SEQFILE_LONG_OPT

public static final String TRAIN_SEQFILE_LONG_OPT

See Also:
  - Constant Field Values

### TRAIN_TAXONFILE_LONG_OPT

public static final String TRAIN_TAXONFILE_LONG_OPT

See Also:
  - Constant Field Values

### LENGTH_LONG_OPT

public static final String LENGTH_LONG_OPT

See Also:
  - Constant Field Values

### QUERYFILE_SHORT_OPT

public static final String QUERYFILE_SHORT_OPT

See Also:
  - Constant Field Values

### OUTFILE_SHORT_OPT

public static final String OUTFILE_SHORT_OPT

See Also:
  - Constant Field Values

### TRAIN_SEQFILE_SHORT_OPT

public static final String TRAIN_SEQFILE_SHORT_OPT

See Also:
  - Constant Field Values

### TRAIN_TAXONFILE_SHORT_OPT

public static final String TRAIN_TAXONFILE_SHORT_OPT

See Also:
  - Constant Field Values

### LENGTH_SHORT_OPT

public static final String LENGTH_SHORT_OPT

See Also:
  - Constant Field Values

### HIDETAXON_SHORT_OPT

public static final String HIDETAXON_SHORT_OPT

See Also:
  - Constant Field Values

### TRAIN_SEQFILE_DESC

public static final String TRAIN_SEQFILE_DESC

See Also:
  - Constant Field Values

### TRAIN_TAXONFILE_DESC

public static final String TRAIN_TAXONFILE_DESC

See Also:
  - Constant Field Values

### LENGTH_DESC

public static final String LENGTH_DESC

See Also:
  - Constant Field Values

### QUERYFILE_DESC

public static final String QUERYFILE_DESC

See Also:
  - Constant Field Values

### OUTFILE_DESC

public static final String OUTFILE_DESC

See Also:
  - Constant Field Values

## Constructor Details

### LeaveOneOutTesterMain

public LeaveOneOutTesterMain(String taxFile, String trainseqFile, String testFile, String outFile, int numGoodBases, int min_bootstrap_words, boolean hideTaxon) throws IOException
Creates a new Classification

Throws:
  `IOException`

## Method Details

### main

public static void main(String[] args) throws FileNotFoundException, IOException

Throws:
  `FileNotFoundException`
  `IOException`